Debian Bug report logs - #555585
FTBFS with binutils-gold

version graph

Package: src:mailutils; Maintainer for src:mailutils is Jordi Mallach <jordi@debian.org>;

Reported by: Peter Fritzsche <peter.fritzsche@gmx.de>

Date: Tue, 10 Nov 2009 11:52:18 UTC

Severity: normal

Tags: patch, sid, wheezy

Found in version mailutils/1:2.1+dfsg1-2

Fixed in version mailutils/1:2.2+dfsg1-4

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Jordi Mallach <jordi@debian.org>:
Bug#555585; Package src:mailutils. (Tue, 10 Nov 2009 11:52:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
New Bug report received and forwarded. Copy sent to Jordi Mallach <jordi@debian.org>. (Tue, 10 Nov 2009 11:52:20 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Peter Fritzsche <peter.fritzsche@gmx.de>
To: maintonly@bugs.debian.org
Subject: FTBFS with binutils-gold
Date: Tue, 10 Nov 2009 10:58:58 +0100
Source: mailutils
Version: 1:2.1+dfsg1-2
Severity: minor
User: peter.fritzsche@gmx.de
Usertags: no-add-needed

Tried to build your package and it fails to build with GNU binutils-gold. The
important difference is that --no-add-needed is the default behavior of of GNU
binutils-gold. Please provide all needed libraries to the linker when building
your executables.

It is maybe better in your case that libkmldom.so gets linked against
the needed libraries to fix that problem. You can use --no-undefined (or
respective -Wl,--no-undefined when linking with g++ or gcc) to check your
libraries if they still have symbols which doesn't get resolved by them.

dpkg-shlibdeps will also print warnings about unresolved symbols when it gets
run in your debian/rules

More informations can be found at
 http://wiki.debian.org/qa.debian.org/FTBFS#A2009-11-02Packagesfailingbecausebinutils-gold.2BAC8-indirectlinking

/bin/bash ../../libtool  --tag=CXX   --mode=link g++  -g -O2 -g -Wall -O2 ../../lib/libmuaux.la ../../libmu_cpp/libmu_cpp.la ../../mailbox/libmailutils.la    -o addr addr.o ../../lib/libmuaux.la ../../libmu_cpp/libmu_cpp.la ../../libproto/mbox/libmu_mbox.la ../../libproto/imap/libmu_imap.la ../../libproto/pop/libmu_pop.la ../../libproto/nntp/libmu_nntp.la ../../libproto/mh/libmu_mh.la ../../libproto/maildir/libmu_maildir.la ../../libmu_auth/libmu_auth.la ../../libproto/mailer/libmu_mailer.la ../../libmu_sieve/libmu_sieve.la -lgsasl -lgnutls -lgcrypt -lldap -lpam -ldl ../../mailbox/libmailutils.la -lcrypt  -lpthread -lgdbm
libtool: link: g++ -g -O2 -g -Wall -O2 -o .libs/addr addr.o  ../../lib/.libs/libmuaux.a ../../libmu_cpp/.libs/libmu_cpp.so ../../libproto/mbox/.libs/libmu_mbox.so ../../libproto/imap/.libs/libmu_imap.so -L/usr/lib ../../libproto/pop/.libs/libmu_pop.so ../../libproto/nntp/.libs/libmu_nntp.so ../../libproto/mh/.libs/libmu_mh.so ../../libproto/maildir/.libs/libmu_maildir.so ../../libmu_auth/.libs/libmu_auth.so ../../libproto/mailer/.libs/libmu_mailer.so /home/peter/rebuild/build/mailutils/mailutils-2.1+dfsg1/libmu_auth/.libs/libmu_auth.so /usr/lib/libmysqlclient.so -lnsl -lz -lm ../../libmu_sieve/.libs/libmu_sieve.so /home/peter/rebuild/build/mailutils/mailutils-2.1+dfsg1/mailbox/.libs/libmailutils.so /usr/lib/libltdl.so /usr/lib/libgsasl.so /usr/lib/libidn.so /usr/lib/libntlm.so -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err /usr/lib/libgnutls.so /usr/lib/libgcrypt.so -lldap -lpam -ldl ../../mailbox/.libs/libmailutils.so -lcrypt -lpthread /usr/lib/libgdbm.so
/usr/bin/ld: ../../libmu_auth/.libs/libmu_auth.so: error: undefined reference to 'ber_memvfree'
/usr/bin/ld: ../../libmu_auth/.libs/libmu_auth.so: error: undefined reference to 'ber_memfree'
/usr/bin/ld: ../../libmu_auth/.libs/libmu_auth.so: error: undefined reference to 'ber_set_option'
collect2: ld returned 1 exit status
make[4]: *** [addr] Error 1




Severity set to 'important' from 'minor' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Thu, 24 Feb 2011 13:22:40 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 14:29:13 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 31 Mar 2011 10:48:03 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sat, 23 Apr 2011 09:30:19 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sun, 01 May 2011 11:16:38 GMT) Full text and rfc822 format available.

Added indication that bug 555585 blocks 622279 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 01 Jun 2011 11:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#555585; Package src:mailutils. (Mon, 20 Jun 2011 22:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. (Mon, 20 Jun 2011 22:18:07 GMT) Full text and rfc822 format available.

Message #22 received at 555585@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 555585@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Bug#555585: mailutils: FTBFS with binutils-gold
Date: Tue, 21 Jun 2011 00:15:13 +0200
[Message part 1 (text/plain, inline)]
tags 555585 + patch
severity 555585 normal
unblock 622279 with 555585
thanks

* Peter Fritzsche <peter.fritzsche@gmx.de>, 2009-11-10, 10:58:
>/bin/bash ../../libtool  --tag=CXX   --mode=link g++  -g -O2 -g -Wall -O2 ../../lib/libmuaux.la ../../libmu_cpp/libmu_cpp.la ../../mailbox/libmailutils.la    -o addr addr.o ../../lib/libmuaux.la ../../libmu_cpp/libmu_cpp.la ../../libproto/mbox/libmu_mbox.la ../../libproto/imap/libmu_imap.la ../../libproto/pop/libmu_pop.la ../../libproto/nntp/libmu_nntp.la ../../libproto/mh/libmu_mh.la ../../libproto/maildir/libmu_maildir.la ../../libmu_auth/libmu_auth.la ../../libproto/mailer/libmu_mailer.la ../../libmu_sieve/libmu_sieve.la -lgsasl -lgnutls -lgcrypt -lldap -lpam -ldl ../../mailbox/libmailutils.la -lcrypt  -lpthread -lgdbm
>libtool: link: g++ -g -O2 -g -Wall -O2 -o .libs/addr addr.o  ../../lib/.libs/libmuaux.a ../../libmu_cpp/.libs/libmu_cpp.so ../../libproto/mbox/.libs/libmu_mbox.so ../../libproto/imap/.libs/libmu_imap.so -L/usr/lib ../../libproto/pop/.libs/libmu_pop.so ../../libproto/nntp/.libs/libmu_nntp.so ../../libproto/mh/.libs/libmu_mh.so ../../libproto/maildir/.libs/libmu_maildir.so ../../libmu_auth/.libs/libmu_auth.so ../../libproto/mailer/.libs/libmu_mailer.so /home/peter/rebuild/build/mailutils/mailutils-2.1+dfsg1/libmu_auth/.libs/libmu_auth.so /usr/lib/libmysqlclient.so -lnsl -lz -lm ../../libmu_sieve/.libs/libmu_sieve.so /home/peter/rebuild/build/mailutils/mailutils-2.1+dfsg1/mailbox/.libs/libmailutils.so /usr/lib/libltdl.so /usr/lib/libgsasl.so /usr/lib/libidn.so /usr/lib/libntlm.so -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err /usr/lib/libgnutls.so /usr/lib/libgcrypt.so -lldap -lpam -ldl ../../mailbox/.libs/libmailutils.so -lcrypt -lpthread /usr/lib/libgdbm.so
>/usr/bin/ld: ../../libmu_auth/.libs/libmu_auth.so: error: undefined reference to 'ber_memvfree'
>/usr/bin/ld: ../../libmu_auth/.libs/libmu_auth.so: error: undefined reference to 'ber_memfree'
>/usr/bin/ld: ../../libmu_auth/.libs/libmu_auth.so: error: undefined reference to 'ber_set_option'
>collect2: ld returned 1 exit status
>make[4]: *** [addr] Error 1

The attached patch fixes this bug. Note that you should run autoreconf 
after applying it.

Contrary to what the serious severity suggested, the package does *not* 
FTBFS in unstable, and AFAICT the missing linkage doesn't have any 
practical consequences, at least for the time being. Therefore, I took 
the liberty of downgrading the bug.

-- 
Jakub Wilk
[555585.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 20 Jun 2011 22:18:08 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 20 Jun 2011 22:18:09 GMT) Full text and rfc822 format available.

Removed indication that bug 555585 blocks 622279 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 20 Jun 2011 22:18:10 GMT) Full text and rfc822 format available.

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Thu, 29 Sep 2011 00:39:09 GMT) Full text and rfc822 format available.

Notification sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
Bug acknowledged by developer. (Thu, 29 Sep 2011 00:39:09 GMT) Full text and rfc822 format available.

Message #33 received at 555585-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 555585-close@bugs.debian.org
Subject: Bug#555585: fixed in mailutils 1:2.2+dfsg1-4
Date: Thu, 29 Sep 2011 00:34:54 +0000
Source: mailutils
Source-Version: 1:2.2+dfsg1-4

We believe that the bug you reported is fixed in the latest version of
mailutils, which is due to be installed in the Debian FTP archive:

libmailutils-dev_2.2+dfsg1-4_amd64.deb
  to main/m/mailutils/libmailutils-dev_2.2+dfsg1-4_amd64.deb
libmailutils2_2.2+dfsg1-4_amd64.deb
  to main/m/mailutils/libmailutils2_2.2+dfsg1-4_amd64.deb
mailutils-comsatd_2.2+dfsg1-4_amd64.deb
  to main/m/mailutils/mailutils-comsatd_2.2+dfsg1-4_amd64.deb
mailutils-guile_2.2+dfsg1-4_amd64.deb
  to main/m/mailutils/mailutils-guile_2.2+dfsg1-4_amd64.deb
mailutils-imap4d_2.2+dfsg1-4_amd64.deb
  to main/m/mailutils/mailutils-imap4d_2.2+dfsg1-4_amd64.deb
mailutils-mh_2.2+dfsg1-4_amd64.deb
  to main/m/mailutils/mailutils-mh_2.2+dfsg1-4_amd64.deb
mailutils-pop3d_2.2+dfsg1-4_amd64.deb
  to main/m/mailutils/mailutils-pop3d_2.2+dfsg1-4_amd64.deb
mailutils_2.2+dfsg1-4.debian.tar.bz2
  to main/m/mailutils/mailutils_2.2+dfsg1-4.debian.tar.bz2
mailutils_2.2+dfsg1-4.dsc
  to main/m/mailutils/mailutils_2.2+dfsg1-4.dsc
mailutils_2.2+dfsg1-4_amd64.deb
  to main/m/mailutils/mailutils_2.2+dfsg1-4_amd64.deb
python-mailutils_2.2+dfsg1-4_amd64.deb
  to main/m/mailutils/python-mailutils_2.2+dfsg1-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 555585@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated mailutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 29 Sep 2011 00:36:41 +0200
Source: mailutils
Binary: libmailutils2 libmailutils-dev mailutils mailutils-imap4d mailutils-pop3d mailutils-comsatd mailutils-guile mailutils-mh python-mailutils
Architecture: source amd64
Version: 1:2.2+dfsg1-4
Distribution: unstable
Urgency: low
Maintainer: Jordi Mallach <jordi@debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 libmailutils-dev - Development files for GNU mailutils
 libmailutils2 - GNU Mail abstraction library
 mailutils  - GNU mailutils utilities for handling mail
 mailutils-comsatd - GNU mailutils-based comsatd daemon
 mailutils-guile - GNU mailutils Guile interpreter and modules
 mailutils-imap4d - GNU mailutils-based IMAP4 Daemon
 mailutils-mh - GNU mailutils-based MH utilities
 mailutils-pop3d - GNU mailutils-based POP3 Daemon
 python-mailutils - GNU Mail abstraction library (Python interface)
Closes: 555585 624029 630007 643440
Changes: 
 mailutils (1:2.2+dfsg1-4) unstable; urgency=low
 .
   * Apply patch from Jakub Wilk to add a missing -llber to MU_AUTHLIBS.
     This had caused a FTBFS with binutils-gold at some point, but not at
     the moment (closes: #555585).
   * Build-Depend and include dh-autoreconf, to regenerate the build
     system after the above change. Additionally, Build-Depend on autopoint.
   * Backport patch from Simon Josefsson to avoid using GnuTLS deprecated
     functions (closes: #624029).
   * Apply patch from Nicolas Dandrimont to fix a FTBFS with
     -Werror=format-security. Additionally, add another patch from Nicolas
     to refresh mh/mh_fmtgram.c, from the fixed bison source
     (closes: #643440).
   * Apply patch from Sam Rodgers to relax permission checks on SSL keys,
     which may be group-readable in Debian, for the ssl-cert group
     (closes: #630007).
   * Bump Standards-Version to 3.9.2, after checking that GNU Mail
     implements the POSIX-required interface for mailx.
   * Replace versioned conflicts on other packages providing mailx with
     Breaks.
   * Add a versioned Breaks to heirloom-mailx for the versions previous to
     the introduction of alternatives for mailx.
Checksums-Sha1: 
 41e93d1531cb94c1b52cab5e231d23d3f4ebafb1 2093 mailutils_2.2+dfsg1-4.dsc
 603302d1f5c8f3617de180910af5708f5fca7f3c 34443 mailutils_2.2+dfsg1-4.debian.tar.bz2
 b126e4c4ba1f8f189ea0d2a1c6f7f2682f8c3a31 1130216 libmailutils2_2.2+dfsg1-4_amd64.deb
 41160f0a142fc8c9f8930f9e0b8fa71198dd4e9a 927392 libmailutils-dev_2.2+dfsg1-4_amd64.deb
 3f9b4fdd2d95adffab4d51e03de2b49b201c03ca 692936 mailutils_2.2+dfsg1-4_amd64.deb
 c1981a93f4bfa7a14659e33b12f2380ee8fd763b 362990 mailutils-imap4d_2.2+dfsg1-4_amd64.deb
 c151a3b2916ab764e998619d17399c53086b3f8b 359184 mailutils-pop3d_2.2+dfsg1-4_amd64.deb
 6383bfbfbe150067fa2bf48948d7b01dbdf05240 317226 mailutils-comsatd_2.2+dfsg1-4_amd64.deb
 10a9ba2669b4d2ea35e13ee5c9cfdc1853e4bf79 333960 mailutils-guile_2.2+dfsg1-4_amd64.deb
 b17e49e531d95513391e53374134b41c3010a770 1699888 mailutils-mh_2.2+dfsg1-4_amd64.deb
 0d78fa9f4cab7dc9008124d352932a7307c13ddc 293226 python-mailutils_2.2+dfsg1-4_amd64.deb
Checksums-Sha256: 
 a2ddfd9614a30f64c240242fb6ab8fa65d64027577d2fa5c46bc287486b245ed 2093 mailutils_2.2+dfsg1-4.dsc
 6cdcfd6156d85d28a4b606af5ad548df23f15edcab0e2036bcb2635b4a4f94d6 34443 mailutils_2.2+dfsg1-4.debian.tar.bz2
 9c836471d659aff6937979a0cb3ec7017834a6bbbf0580b18da2c01453bed4ac 1130216 libmailutils2_2.2+dfsg1-4_amd64.deb
 54482b9446e0771b983b1dec9b0b932adcaf23fc79ede8662daa49270c9f1c3a 927392 libmailutils-dev_2.2+dfsg1-4_amd64.deb
 3377e56a7f162885ffa354da4b1f3486ae88b670f8389c4ab4e7dba258b87e10 692936 mailutils_2.2+dfsg1-4_amd64.deb
 e97ff37124ee60237a6bfb562c170b3d37c94244c2cdb136c4f3315e6754405f 362990 mailutils-imap4d_2.2+dfsg1-4_amd64.deb
 5811ba608bd48fcf0265fdfbc0f8859f082eb619550f42dc8a77508d9e8ddb7f 359184 mailutils-pop3d_2.2+dfsg1-4_amd64.deb
 0eafa718f70f07bf6c4e1bb06e59b1fc2c4f2f9ec246ccd407e094d8ecf9e1e7 317226 mailutils-comsatd_2.2+dfsg1-4_amd64.deb
 478babed3ccd01d7bf2c3f3ca6e6d55c6208b280cccee3c8b8dc1ba6899a3e2b 333960 mailutils-guile_2.2+dfsg1-4_amd64.deb
 bf7f76f0891b1460743a7e890469422a0692c263f931ffe7967cf0ea4cf61dc8 1699888 mailutils-mh_2.2+dfsg1-4_amd64.deb
 2a168863cf54dafd468118220ef1af88e802f16e55888b2f7a1e85f7185303c6 293226 python-mailutils_2.2+dfsg1-4_amd64.deb
Files: 
 31e1d775ccec487fc28be9d0404e3952 2093 mail optional mailutils_2.2+dfsg1-4.dsc
 6f48b9e2b9c8099ee89538ff61d8f51d 34443 mail optional mailutils_2.2+dfsg1-4.debian.tar.bz2
 e354249ae13865914572e902566508f0 1130216 libs optional libmailutils2_2.2+dfsg1-4_amd64.deb
 b2e2eae459f982c397961001750cedf0 927392 libdevel optional libmailutils-dev_2.2+dfsg1-4_amd64.deb
 b7cd2ff3769ada61227efccae78c3624 692936 mail optional mailutils_2.2+dfsg1-4_amd64.deb
 f40809ab1e813c70200e6bf762bc79d0 362990 net optional mailutils-imap4d_2.2+dfsg1-4_amd64.deb
 6b30b33ddd6a6217a514879e640164fe 359184 net optional mailutils-pop3d_2.2+dfsg1-4_amd64.deb
 9925b1c9680fe077eaaf9e2316b5b31a 317226 net optional mailutils-comsatd_2.2+dfsg1-4_amd64.deb
 18de0943270401777eb8f5d5c4dbb590 333960 mail optional mailutils-guile_2.2+dfsg1-4_amd64.deb
 c80c2b86e3a1534f9b93884ae1593390 1699888 mail optional mailutils-mh_2.2+dfsg1-4_amd64.deb
 847b33bf5a05d0e48ee34dd4f0a9091b 293226 python optional python-mailutils_2.2+dfsg1-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6DuykACgkQJYSUupF6Il4hTwCgottJXcwWGitpTAEj6guMZ/9J
Sz4AoNSxkXeynth9Wz6fnS8kZuI+yAin
=lSLc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Nov 2011 07:44:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:57:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.